rb_lines.d(1m)

NAME
rb_lines.d - trace Ruby line execution by process using DTrace.

SYNOPSIS
rb_who.d

DESCRIPTION
This traces Ruby activity from all Ruby programs on the system that are running with Ruby provider support. Filenames are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Ruby provider, which may change as additional features are introduced. Check Ruby/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # rb_lines.d

FIELDS

FILE
    Filename of the Ruby program

LINE
    Line number

COUNT
    Number of times a line was executed

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
rb_lines.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)